---
schema_version: "1"
id: 0c08e9e12e549f2f82f31c3ba8582c98ee641c2f58a805d2935c97386e14d204
title: Get All Navigation Items
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_all_nav_items.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_all_nav_items.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 6e0812d6b555b54738f590895290c48c057c578f7811e5b923eee3c295dc954a
description: Gets all navigation items (tabs) that the user has access to.
---
# Get All Navigation Items

Gets all navigation items (tabs) that the user has access to.

Resource

/ui-api/nav-items

Available Version

45.0

HTTP Method

GET

Example

To get all navigation tabs for an app, make this request:

GET /services/data/v68.0/ui-api/nav-items?page=3&pageSize=2

The request returns metadata for all navigation tabs associated with this app.

{
  "currentPageUrl": "/services/data/v68.0/ui-api/nav-items?page=3&pageSize=2"
  "navItems": \[{
    "availableInClassic": true,
    "availableInLightning": true,
    "color": "EF7EAD",
    "content": "home\_\_desktopDefault",
    "custom": false,
    "developerName": "standard-home",
    "iconUrl": "https://yourInstance.salesforce.com/img/icon/t4v35/standard/home\_120.png",
    "id": null,
    "itemType": "Standard",
    "label": "Home",
    "objectApiName": "Home",
    "pageReference": {
      "attributes": {
        "pageName": "home"
      },
      "state": {},
      "type": "standard\_\_namedPage"
    },
    "standardType": "Home"
  }, {
    "availableInClassic": false,
    "availableInLightning": true,
    "color": "489DD0",
    "content": null,
    "custom": false,
    "developerName": "standard-Feed",
    "iconUrl": "https://yourInstance.salesforce.com/img/icon/t4v35/standard/feed\_120.png",
    "id": null,
    "itemType": "Standard",
    "label": "Chatter",
    "objectApiName": "Feed",
    "pageReference": {
      "attributes": {
        "pageName": "chatter"
      },
      "state": {},
      "type": "standard\_\_namedPage"
    },
    "standardType": "Feed"
  }\],
  "nextPageUrl": "/services/data/v68.0/ui-api/nav-items?page=4&pageSize=2"
}

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d38079e128">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d38079e131">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d38079e134">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d38079e137">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d38079e140">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d38079e128" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d38079e131" data-title="Type">String</td>

                  <td class="entry" headers="d38079e134" data-title="Description">The response includes navigation items that support this form factor. One
                    of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—Desktop display
                        size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Tablet display
                        size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Phone display
                        size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d38079e137" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d38079e140" data-title="Available Version">45.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d38079e128" data-title="Parameter Name"><samp class="codeph nolang">navItemNames</samp></td>

                  <td class="entry" headers="d38079e131" data-title="Type">String[]</td>

                  <td class="entry" headers="d38079e134" data-title="Description">A comma delimited list of <a class="xref" href="https://developer.salesforce.com/docs/atlas.en-us.264.0.object_reference.meta/object_reference/sforce_api_objects_tabdefinition.htm" target="_blank" title="HTML (New Window)">TabDefinition</a>
                    name values to include in the response.</td>

                  <td class="entry" headers="d38079e137" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d38079e140" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d38079e128" data-title="Parameter Name"><samp class="codeph nolang">page</samp></td>

                  <td class="entry" headers="d38079e131" data-title="Type">Int</td>

                  <td class="entry" headers="d38079e134" data-title="Description">The page offset form which to begin returning nav items. The default
                    value is 0, which returns nav items from the first page. For example, for
                    <samp class="codeph nolang">page=2</samp> and <samp class="codeph nolang">pageSize=10</samp>, the first nav item returned is the 21st nav item in
                    the list.
                  </td>

                  <td class="entry" headers="d38079e137" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d38079e140" data-title="Available Version">45.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d38079e128" data-title="Parameter Name"><samp class="codeph nolang">pageSize</samp></td>

                  <td class="entry" headers="d38079e131" data-title="Type">Int</td>

                  <td class="entry" headers="d38079e134" data-title="Description">The maximum number of nav items to return on a page. The default value is
                    25.</td>

                  <td class="entry" headers="d38079e137" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d38079e140" data-title="Available Version">45.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Navigation Items](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_nav_items.htm "An ordered list of navigation items (tabs) for the current user.")